Detect browser support fo Polymer

I’m using Polymer (version 0.5, might upgrade to 1.0 at some point) on a site. Obviously many older browsers don’t work well with the Polyfills.

My current strategy is to detect IE lt 11 via html conditional comments, and if user had older browser, just fire off a quick javascript redirect to a page asking the user to use a newer browser.

This works well for IE, but obviously this doesn’t work for other browsers.

Is there a way to detect if Polymer Polyfills was successful via Javascript, so that I can then do the manual redirect?

The only alternative for me is to implement some kind of browser detection middleware in my backend, which I’d prefer to avoid at this point due to various internal reasons.

Thx in advance.


Source: cross-browser

Leave a Reply